Summary: A text file browser similar to more, but better.
Name: less
Version: 382
Release: 3tr
License: GPL
Group: Trustix Official
Source: http://www.greenwoodsoftware.com/less/less-%{version}.tar.gz
Source1: lesspipe.sh
Source2: less.sh
Source3: less.csh
Buildroot: /var/tmp/%{name}-root

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  Less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi). 

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.

%prep
%setup -q -n %{name}-%{version}

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64"

%install
mkdir -p $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr \
	bindir=$RPM_BUILD_ROOT/usr/bin \
	mandir=$RPM_BUILD_ROOT/%{_mandir} install

strip -R .comments $RPM_BUILD_ROOT/usr/bin/less
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/usr/share
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/
install -c -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d
install -c -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/profile.d

%files
%defattr(-,root,root)
/etc/profile.d/*
/usr/bin/*
/usr/share/man/man1/*

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 18 2004 Omar Kilani <ok at trustix dot org> 382-1ok
- New upstream.

* Fri Dec  5 2003 Erlend Midttun <erlendbm at trustix dot org> 381-1tr
- New upstream.

* Mon Oct 20 2003 Michael Scheffler <duke at tawie dot org> 376-6ms
- Added $RPM_OPT_FLAGS
- Added 64bit file support

* Mon Jun 23 2003 Erlend Midttun <erlendbm at trustix dot com> 376-5tr
- Added %defattr.

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 376-4tr
- Big rebuild

* Thu May 15 2003 Erlend Midttun <erlendbm at trustix dot com> 376-3em
- Added LESSCHARSET -> iso8859

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 376-2em
- Rebuilt against glibc 2.3.2.

* Wed Jul 24 2002 Christian H. Toldnes <christht at trustix dot com> 376-1ct
- New upstream version: 376
- Changed back to original version numbers, as this is what the author wants.

* Wed Jul  3 2002 Christian H. Toldnes <christht at trustix dot com> 0.0.374-1ct
- Update to 374, called it 0.0.374 since this is for TSL 2.0
- spec file cleanup

* Wed Sep 13 2000 Erlend Midttun <erlendbm at trustix dot com>
- version 358

* Thu May 11 2000 Oystein Viggen <oysteivi at trustix dot com>
- version 354

* Wed Mar 29 2000 Lars Gaarden <larsg at trustix dot com>
- Moved man pages to /usr/share, FHS.

* Tue Jan 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to v346
- Update download URL
- use the configure marcro
- strip binary
- fix up lesspipe stuff (Bug #8750 and a couple of non-reported bugs)
  (Karsten, did I mention I'll kill you when you return from SAP? ;) )

* Sun Jan 07 2000 Karsten Hopp <karsten@redhat.de>
- added lesspipe.sh to show listings of package
  contents instead of binary output.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- less finally gets maintenance, upgraded to 340

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- removed ifarch axp stuff for /bin/more, more now works on alpha properly.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 332 and built for Manhattan
- added buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
